Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Downgrade from 1.4 to 1.3 is not working. Pls read.

Discussion in 'Pro/Adv Discussion' started by Fanti, Mar 25, 2016.

  1. Fanti

    Joined:
    Nov 18, 2013
    Messages:
    195
    Likes Received:
    42
    Hi guys,

    I am trying to downgrade my P3P with FW 1.4 to 1.3 and it does not work:

    Following error:
    Packet: P3X_FW_V01.03.0020.bin
    Result: Abort.
    The current firmware does not support downgrade. Use a different version of firmware to downgrade the target version.

    The bird has never been higher than FW 1.4. Also there is no + sign in the about field.

    Any help pls ?
     
  2. Fanti

    Joined:
    Nov 18, 2013
    Messages:
    195
    Likes Received:
    42
    Anyone has a solution pls ?
     
  3. peterepeat69

    Joined:
    Mar 18, 2016
    Messages:
    549
    Likes Received:
    110
    Glad I didn't upgrade my bird, always asks for it I'll never do it


    Sent from my iPhone using PhantomPilots mobile app
     
  4. FredzMaxxUAV

    Approved Vendor

    Joined:
    Jun 25, 2015
    Messages:
    566
    Likes Received:
    121
    Ask DJI for help...
    LOL, just joking of course ;-)
     
    peterepeat69 likes this.
  5. Apilot101

    Joined:
    Jan 6, 2016
    Messages:
    259
    Likes Received:
    55
    Have you updated to 1.5? If you went as far as 1.5, (as of now) you can only downgrade 1 time which would be 1.4.